from mnist import MNIST
import numpy as np

def load_training_samples():
	"""
	Return np_images, labels
	where
	np_impages is a np.array of 60 000 x 784
	labels is a python list of expected answers
	"""
	mndata = MNIST('../../resources/download')

	images = [[]] # Contains vectors of 784 pixels image
	labels = [] # Contains expected response for each image

	images, labels = mndata.load_training()

	np_images = np.array(images, dtype=np.float64)

	# Normalize data between 0.0 and 1.0
	np_images /= 255

	return np_images, labels
